# Clash Verge 配置文件 - 由 Hysteria 2 脚本自动生成

# 基础设置
port: 7890
socks-port: 7891
allow-lan: false
mode: rule
log-level: info
external-controller: '127.0.0.1:9090'

# DNS 设置
dns:
  enable: true
  listen: 0.0.0.0:53
  enhanced-mode: redir-host
  nameserver:
    - 114.114.114.114
    - 8.8.8.8
  fallback:
    - https://dns.google/dns-query
    - https://1.1.1.1/dns-query

# 代理节点列表 (Proxies)
proxies:
  - name: "Hysteria2-Node"
    type: hysteria2
    server: 129.146.113.177
    port: 50128
    password: 702c2f75
    sni: www.bing.com
    skip-cert-verify: true

# 代理组 (Proxy Groups)
proxy-groups:
  - name: "PROXY"
    type: select
    proxies:
      - "Hysteria2-Node"
      - "DIRECT"

# 规则 (Rules)
rules:
  - MATCH,PROXY
